### Hierarchy

- BaseAPI
  - BurnchainApi

### Implements

- BurnchainApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getBurnchainRewardList
- getBurnchainRewardListByAddress
- getBurnchainRewardListByAddressRaw
- getBurnchainRewardListRaw
- getBurnchainRewardSlotHolders
- getBurnchainRewardSlotHoldersByAddress
- getBurnchainRewardSlotHoldersByAddressRaw
- getBurnchainRewardSlotHoldersRaw
- getBurnchainRewardsTotalByAddress
- getBurnchainRewardsTotalByAddressRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new BurnchainApi(configuration?: Configuration ): BurnchainApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns BurnchainApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getBurnchainRewardList

- getBurnchainRewardList(requestParameters: GetBurnchainRewardListRequest, initOverrides?: RequestInit): Promise< BurnchainRewardListResponse >

- Implementation of BurnchainApiInterface.getBurnchainRewardList

  - Defined in src/generated/apis/BurnchainApi.ts:186

  Get a list of recent burnchain (e.g. Bitcoin) reward recipients with the associated amounts and block info Get recent burnchain reward recipients

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardListResponse >

### getBurnchainRewardListByAddress

- getBurnchainRewardListByAddress(requestParameters: GetBurnchainRewardListByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardListResponse >

- Implementation of BurnchainApiInterface.getBurnchainRewardListByAddress

  - Defined in src/generated/apis/BurnchainApi.ts:226

  Get a list of recent burnchain (e.g. Bitcoin) rewards for the given recipient with the associated amounts and block info Get recent burnchain reward for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardListResponse >

### getBurnchainRewardListByAddressRaw

- getBurnchainRewardListByAddressRaw(requestParameters: GetBurnchainRewardListByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardListResponse >>

- Implementation of BurnchainApiInterface.getBurnchainRewardListByAddressRaw

  - Defined in src/generated/apis/BurnchainApi.ts:195

  Get a list of recent burnchain (e.g. Bitcoin) rewards for the given recipient with the associated amounts and block info Get recent burnchain reward for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardListResponse >>

### getBurnchainRewardListRaw

- getBurnchainRewardListRaw(requestParameters: GetBurnchainRewardListRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardListResponse >>

- Implementation of BurnchainApiInterface.getBurnchainRewardListRaw

  - Defined in src/generated/apis/BurnchainApi.ts:159

  Get a list of recent burnchain (e.g. Bitcoin) reward recipients with the associated amounts and block info Get recent burnchain reward recipients

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardListResponse >>

### getBurnchainRewardSlotHolders

- getBurnchainRewardSlotHolders(requestParameters: GetBurnchainRewardSlotHoldersRequest, initOverrides?: RequestInit): Promise< BurnchainRewardSlotHolderListResponse >

- Implementation of BurnchainApiInterface.getBurnchainRewardSlotHolders

  - Defined in src/generated/apis/BurnchainApi.ts:262

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holders

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardSlotHolderListResponse >

### getBurnchainRewardSlotHoldersByAddress

- getBurnchainRewardSlotHoldersByAddress(requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardSlotHolderListResponse >

- Implementation of BurnchainApiInterface.getBurnchainRewardSlotHoldersByAddress

  - Defined in src/generated/apis/BurnchainApi.ts:302

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holder entries for the given address

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardSlotHolderListResponse >

### getBurnchainRewardSlotHoldersByAddressRaw

- getBurnchainRewardSlotHoldersByAddressRaw(requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

- Implementation of BurnchainApiInterface.getBurnchainRewardSlotHoldersByAddressRaw

  - Defined in src/generated/apis/BurnchainApi.ts:271

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holder entries for the given address

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

### getBurnchainRewardSlotHoldersRaw

- getBurnchainRewardSlotHoldersRaw(requestParameters: GetBurnchainRewardSlotHoldersRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

- Implementation of BurnchainApiInterface.getBurnchainRewardSlotHoldersRaw

  - Defined in src/generated/apis/BurnchainApi.ts:235

  Array of the Bitcoin addresses that would validly receive PoX commitments. Get recent reward slot holders

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardSlotHoldersRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardSlotHolderListResponse >>

### getBurnchainRewardsTotalByAddress

- getBurnchainRewardsTotalByAddress(requestParameters: GetBurnchainRewardsTotalByAddressRequest, initOverrides?: RequestInit): Promise< BurnchainRewardsTotal >

- Implementation of BurnchainApiInterface.getBurnchainRewardsTotalByAddress

  - Defined in src/generated/apis/BurnchainApi.ts:334

  Get the total burnchain (e.g. Bitcoin) rewards for the given recipient Get total burnchain rewards for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardsTotalByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BurnchainRewardsTotal >

### getBurnchainRewardsTotalByAddressRaw

- getBurnchainRewardsTotalByAddressRaw(requestParameters: GetBurnchainRewardsTotalByAddressRequest, initOverrides?: RequestInit): Promise< ApiResponse < BurnchainRewardsTotal >>

- Implementation of BurnchainApiInterface.getBurnchainRewardsTotalByAddressRaw

  - Defined in src/generated/apis/BurnchainApi.ts:311

  Get the total burnchain (e.g. Bitcoin) rewards for the given recipient Get total burnchain rewards for the given recipient

  #### Parameters

  - ##### requestParameters: GetBurnchainRewardsTotalByAddressRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BurnchainRewardsTotal >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc